1. Payment Gateway
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Payment Gateway

Cashier Payin

POST
/v4/payin/create/order
Create a new incoming payment (collection) order.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/payin/create/order' \
--header 'Content-Type: application/json' \
--data '{
    "currency": "USD",
    "merchant_id": 8820250900009,
    "notify_url": "https://rbaskets.trustpay.money/checkout",
    "order_amount": 5.00,
    "order_no": "local-test-payin-319",
    "sign": "c4a02e0e9270ec884fa050cdf0e916ad"
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "order_no": "local-test-payin-12",
        "platform_order_no": "T4CMQaTCcN05GEx9EQkuabB1",
        "currency": "USD",
        "order_amount": 20,
        "fee": 4.5,
        "pay_url": "https://pay.goopter.com/checkout.html?token=9cdfe051de03b615b74b410e"
    }
}
Modified at 2026-05-26 16:16:01
Previous
Card Direct Payin
Next
Payment Callback
Built with